All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Interface ExportJoin

All Superinterfaces:
  ExportObject<com.sas.iquery.metadata.business.Join,ExportJoin>, NamedObjectInterface

    public interface ExportJoin

extends ExportObject<com.sas.iquery.metadata.business.Join,ExportJoin>

Method Summary
`ExportDataSource` | `getFromTable()` returns the ExportDataSourceInterface that the join is going from.
`java.util.List<ExportJoinColumnPair>` | `getJoinColumnPairs()` Returns a list of the pairs of QualifiedColumn objects to join between the two DataSourceTable objects [from,to] and will return an empty list if the underlying object's join condition is to complex to model as a simple pair of columns.
`ConditionalExpression` | `getJoinCondition()` Returns the full join condition.
`com.sas.iquery.metadata.business.JoinType` | `getJoinType()` Returns the join type: INNER, OUTER, LEFT, RIGHT, CROSS.
`ExportDataSource` | `getToTable()` returns the ExportDataSourceInterface that the join is going to.

Methods inherited from interface com.sas.iquery.metadata.business.ExportObject
`getDescription, getExportMetadata, getExportObjectFactory, getID, getLabel, getUnderlyingObject, getUniqueExportName`

Method Detail

### getFromTable

    ExportDataSource getFromTable()
                                  throws MetadataException

  returns the ExportDataSourceInterface that the join is going from.

  Returns:
  Throws:
    `MetadataException`

### getToTable

    ExportDataSource getToTable()
                                throws MetadataException

  returns the ExportDataSourceInterface that the join is going to.

  Returns:
  Throws:
    `MetadataException`

### getJoinColumnPairs

    java.util.List<ExportJoinColumnPair> getJoinColumnPairs()
                                                            throws MetadataException

  Returns a list of the pairs of QualifiedColumn objects to join between the two DataSourceTable objects [from,to] and will return an empty list if the underlying object's join condition is to complex to model as a simple pair of columns.

  Returns:
  Throws:
    `MetadataException`

### getJoinType

    com.sas.iquery.metadata.business.JoinType getJoinType()
                                                          throws MetadataException

  Returns the join type: INNER, OUTER, LEFT, RIGHT, CROSS.

  Returns:
  Throws:
    `MetadataException`

### getJoinCondition

    ConditionalExpression getJoinCondition()
                                           throws MetadataException

  Returns the full join condition.

  Returns:
  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.